Bug 88534 - include/c11/threads_posix.h PTHREAD_MUTEX_RECURSIVE_NP not defined
Summary: include/c11/threads_posix.h PTHREAD_MUTEX_RECURSIVE_NP not defined
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: Other Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-17 14:24 UTC by felix.janda
Modified: 2015-03-16 21:01 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Proposed patch (1.58 KB, patch)
2015-01-17 14:24 UTC, felix.janda
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description felix.janda 2015-01-17 14:24:48 UTC
Created attachment 112394 [details] [review]
Proposed patch

The non-portable version of PTHREAD_MUTEX_RECURSIVE is used since older glibc didn't have the POSIX version. The attached patch makes the code only fall back to PTHREAD_MUTEX_RECURSIVE_NP if PTHREAD_MUTEX_RECURSIVE is not defined. This fixes compilation with other libcs such as musl, which don't have the nonstandard version.
Comment 1 felix.janda 2015-01-31 18:27:38 UTC
Patch now sent instead to mesa-dev.
Comment 2 Emil Velikov 2015-03-16 21:01:29 UTC
Thanks for the patch. Pushed to master

commit aead7fe2e2b6c89258f80a25299f4ec0fece2d95
Author: Felix Janda <felix.janda@posteo.de>
Date:   Mon Feb 2 20:04:16 2015 +0100

    c11/threads: Use PTHREAD_MUTEX_RECURSIVE by default


bug/show.html.tmpl processed on Mar 25, 2017 at 09:40:57.
(provided by the Example extension).